#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
    , ui(new Ui::MainWindow)
{
    ui->setupUi(this);
}

MainWindow :: ~ MainWindow ( )
{
    delete ui;
}

void MainWindow :: put (QString s)
{
    ui->textEdit->append (s);
}


void MainWindow::on_pushButton_clicked()
{
    bool b = ui->checkBox->isChecked();
    if (b)
       put ("Zapnuto");
    else
        put ("Vypnuto");
    ui->checkBox->setChecked (! b);


    QString s = ui->lineEdit->text ();
    put ("Text = " + s);
    ui->lineEdit->setText (s + " ...");

    int n = ui->spinBox->value ();
    put ("Number = " + QString::number (n));
    ui->spinBox->setValue (n+1);

    double d = ui->doubleSpinBox->value ();
    put ("Real number = " + QString::number (d));
    ui->doubleSpinBox->setValue (d+0.5);

    put ("");
}






